var KEY_GUARDAR="KEY_ACEPTAR";

var KEY_BAJA="KEY_BAJA";

var MODULO = "Cuestionarios";





function onLoadPage() {	

	

	 //Cargamos la provincia

	 cargarTerritoriosLauncher();

	 document.all["usuario(codigoProvincia)"].options[0] = new Option(opcionTodos,"");

	 

	 if(document.all["usuario(codProvincia)"].value=="")

		 document.all["usuario(codigoProvincia)"].selectedIndex=0;

	 else

		 document.all["usuario(codigoProvincia)"].value =  document.all["usuario(codProvincia)"].value;

	 /*territorioChange();



	//Cargamos el municipio

	 document.all["usuario(codigoMunicipio)"].options[0] = new Option(opcionTodos,"");

	 if(document.all["usuario(codMunicipio)"].value=="")

		 document.all["usuario(codigoMunicipio)"].selectedIndex=0;

	 else

		 document.all["usuario(codigoMunicipio)"].value = document.all["usuario(codMunicipio)"].value;*/

        

        if (document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"].length==0)

             addOption(document["formDetalleUsuario"].elements["listaMunicipiosSeleccionados"],opcionTodos, "t");

	document.forms["formDetalleUsuario"].aceptar.focus();

}





function ponAccion(key){

	if (key==KEY_BAJA){

		if(confirm(msgBorrar))

			submmitFormulario(key);

	}

	else submmitFormulario(key);

}





function submmitFormulario(key){

	document.forms["formDetalleUsuario"].accion.value=key;

	document.forms["formDetalleUsuario"].submit();

}



function territorioChange(){	

	//Cargamos el hidden con el valor de la provincia seleccioanda

	 document.all["usuario(codProvincia)"].value = document.all["usuario(codigoProvincia)"].value;

	

	resetearMunicipio();

	

	if(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value!="")

		cargarMunicipiosLauncher();		

	else //Ha seleccionado TODOS

		limpiarComboMunicipios();

	

	//Añadimos la opción TODOS como la primera opción de las combos	

	document.all["usuario(codigoMunicipio)"].options[0] = new Option(opcionTodos,"");

	document.all["usuario(codigoMunicipio)"].selectedIndex=0;

}





function resetearMunicipio(){

	document.forms["formDetalleUsuario"].elements["usuario(codigoMunicipio)"].value="";

}



function limpiarComboMunicipios(){

	document.all["usuario(codigoMunicipio)"].options.length=0;

}



function anyadirOpcionTodosTerritorios(){

	addOption(document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"],opcionTodos,0);

}





function cargarTerritoriosLauncher(){

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_PROVINCIA","id","ds_o", "usuario(codigoProvincia)", whereTerritorio, "false", true, "ds_o", "ASC");

}



function cargarMunicipiosLauncher(){

	where = "PROVINCIA_ID = " + document.forms["formDetalleUsuario"].elements["usuario(codigoProvincia)"].value;

	cargarComboDataLauncherOrdenado(MODULO,idioma,"NORA_T17_MUNICIPIO","id","ds_o", "usuario(codigoMunicipio)", where, "false", true, "ds_o", "ASC");

}



